Page MenuHomePhabricator

Please add mojnews.com to the wgCopyUploadsDomains whitelist of Wikimedia Commons
Closed, ResolvedPublic

Description

Moj is an Iranian news agency which publishes its content under a CC BY 4.0 license. Here you can see the multimedia news section of the website with many useful images for Wikipedia articles. It even has a special category and a custom license template at Wikimedia Commons.

Event Timeline

4nn1l2 created this task.Jan 16 2019, 11:24 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 16 2019, 11:24 AM
Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptJan 16 2019, 4:02 PM

@Doostdar and @Mardetanha LGTM to you both? Because, in my memories, some Iranian "public domain" or CC BY(-SA) websites are also problemic due to illegal forking from US states' governments.

Should I do this?

Zoranzoki21 changed the task status from Open to Stalled.Mar 25 2019, 10:27 PM

Set as stalled until confirmation.

Zoranzoki21 closed this task as Declined.Mar 30 2019, 12:47 AM

If you still want this, please reopen task.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptMar 30 2019, 12:47 AM
4nn1l2 reopened this task as Open.Mar 30 2019, 8:53 PM
4nn1l2 added a subscriber: Liuxinyu970226.

@Doostdar and @Mardetanha LGTM to you both? Because, in my memories, some Iranian "public domain" or CC BY(-SA) websites are also problemic due to illegal forking from US states' governments.

I don't understand you. What is the relationship between Iran and the United States?

Urbanecm removed Zoranzoki21 as the assignee of this task.Apr 4 2019, 5:33 PM
Urbanecm added subscribers: Zoranzoki21, Urbanecm.

Unassigning Zoran, he can't do anything before discussion is closed.

4nn1l2 added a comment.EditedApr 8 2019, 3:09 PM

@Liuxinyu970226 Could you please explain your comment above?

I can't understand why this ticket has been hindered.
The following is a list of Iranian websites which have been added to the whitelist by my request:

And two other websites by another user's request:

How and why is Mojnews.com different?

Apart from a FUD comment by @Liuxinyu970226 which @Liuxinyu970226 never clarified as @Liuxinyu970226 never commented on this task again, I don't see any "discussion" and don't see why there should be any "discussion"?

Change 517173 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/mediawiki-config@master] Add *.mojnews.com to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/517173

Framawiki added a subscriber: Framawiki.

Following @Aklapper comment, patch was created and will be merged soon. Please raise any concerns now, and clearly if possible.

Assuming all files are available on subdomains of mojnews.com, like static2.mojnews.com, the patch adds *.mojnews.com in the whitelist.

Change 517173 merged by jenkins-bot:
[operations/mediawiki-config@master] Add *.mojnews.com to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/517173

Mentioned in SAL (#wikimedia-operations) [2019-06-17T18:18:39Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: Extend wgCopyUploadsDomains T213901 T224875 T225852 (duration: 00m 47s)

Framawiki closed this task as Resolved.Jun 17 2019, 6:30 PM

Change is live. Please ping if it's not working as needed.